﻿local L = AceLibrary("AceLocale-2.2"):new("simpleMinimap")


L:RegisterTranslations("enUS", function() return({
	alpha = true,
		alpha_desc = "minimap alpha when outdoors",
	bgs = "battlegrounds",
		bgs_desc = "battlegrounds indicator",
	location = "location bar",
		location_desc = "location display bar settings",
			locationShow = "show location bar",
				locationShow_desc = "show / hide location bar",
			locationText = "location bar text",
				locationText_desc = "show zone location text when bar is hidden",
	lock = "lock minimap",
		lock_desc = "lock minimap movement and hide movers",
	lockdown = true,
		lockdown_desc = "lockdown movement and other methods (prevents other mods from using (abusing) them)",
	map = "map button",
		map_desc = "map frame button",
	mail = "mail indicator",
		mail_desc = "unread mail indicator",
	meet = "LFG indicator",
		meet_desc = "looking for group eyeball",
	modules = true,
	reset = "reset profile",
		reset_desc = "reset current profile to defaults",
	resize = "resize buttons",
		resize_desc = "resize minimap buttons",
	scale = true,
		scale_desc = "set minimap cluster scale",
	show = "show / hide",
		show_desc = "show and hide minimap / UI elements",
	strata = true,
		strata_desc = "changes how the frame is overlayed on others",
	time = "time indicator",
		time_desc = "day / night indicator",
	track = "tracking button",
		track_desc = "hunter / gatherer tracking indicator",
	zoom = "zoom in / out",
		zoom_desc = "zoon in / out buttons",
	reset_popup = "Reset this simpleMinimap profile to defaults?"
}) end)
BINDING_HEADER_smmTITLE = "simpleMinimap"
BINDING_NAME_smmTOGGLE = "Toggle Minimap"
BINDING_NAME_smmEXPAND = "Expand Minimap"


L:RegisterTranslations("koKR", function() return({
	alpha = "íˆ¬ëª…ë„",
		alpha_desc = "minimap alpha when outdoors",
	bgs = "ì „ìž¥",
		bgs_desc = "battlegrounds indicator",
	location = "ì§€ì—­ ë°”",
		location_desc = "ì§€ì—­ í‘œì‹œ ë°” ì„¤ì •",
			locationShow = "ì§€ì—­ ë°” í‘œì‹œ",
				locationShow_desc = "ì§€ì—­ ë°” í‘œì‹œ / ìˆ¨ê¹€",
			locationText = "ì§€ì—­ ë°” ê¸€ìž",
				locationText_desc = "ë°”ë¥¼ ìˆ¨ê¸¸ì‹œ ì§€ì—­ ê¸€ìžë¥¼ í‘œì‹œí•©ë‹ˆë‹¤.",
	lock = "ë¯¸ë‹ˆë§µ ê³ ì •",
		lock_desc = "ë¯¸ë‹ˆë§µ ì›€ì§ìž„ ê³ ì • / ì•µì»¤ ìˆ¨ê¹€",
	map = "ì§€ë„ ë²„íŠ¼",
		map_desc = "ì§€ë„ ì—´ê¸° ë²„íŠ¼",
	mail = "ìš°íŽ¸ ì¸ë””ì¼€ì´í„°",
		mail_desc = "ì½ì§€ ì•Šì€ ìš°íŽ¸ ì¸ë””ì¼€ì´í„°",
	meet = "lfg / lfm indicator", -- check
		meet_desc = "looking for group / more indicator", -- check
	modules = "ëª¨ë“ˆ",
	reset = "í”„ë¡œíŒŒì¼ ì´ˆê¸°í™”",
		reset_desc = "í˜„ìž¬ í”„ë¡œíŒŒì¼ì„ ì´ˆê¸°ê°’ìœ¼ë¡œ ì´ˆê¸°í™”",
	scale = "í¬ê¸°",
		scale_desc = "ë¯¸ë‹ˆë§µ í´ëŸ¬ìŠ¤í„° í¬ê¸° ì„¤ì •",
	show = "í‘œì‹œ / ìˆ¨ê¹€",
		show_desc = "ë¯¸ë‹ˆë§µ / UI êµ¬ì„±ìš”ì†Œ í‘œì‹œì™€ ìˆ¨ê¹€ ",
	strata = "ê³„ì¸µ",
		strata_desc = "ì°½ì˜ ì˜¤ë²„ë ˆì´ ìˆœìœ„ ë³€ê²½",
	time = "ì‹œê°„ ì¸ë””ì¼€ì´í„°",
		time_desc = "ë‚® / ë°¤ ì¸ë””ì¼€ì´í„°",
	track = "ì¶”ì  ë²„íŠ¼",
		track_desc = "ì‚¬ëƒ¥ê¾¼ / ì±„ì§‘ ì¶”ì  ì¸ë””ì¼€ì´í„°",
	zoom = "ì¤Œ ì¸ / ì•„ì›ƒ",
		zoom_desc = "ì¤Œ ì¸ / ì•„ì›ƒ ë²„íŠ¼",
	reset_popup = "simpleMinimap í”„ë¡œíŒŒì¼ì„ ì´ˆê¸°ê°’ìœ¼ë¡œ ì´ˆê¸°í™” í•˜ì‹œê² ìŠµë‹ˆê¹Œ?"
}) end)
if(GetLocale() == "koKR") then
	BINDING_NAME_smmTOGGLE = "ë¯¸ë‹ˆë§µ í† ê¸€"
end


L:RegisterTranslations("deDE", function() return({
	alpha = "helligkeit",
		alpha_desc = "minimap helligkeit wenn außerhalb",
	bgs = "schlachtfelder",
		bgs_desc = "schlachtfeld symbol",
	location = "positionsleiste",
		location_desc = "positionsanzeigeleiste einstellungen",
			locationShow = "zeige positionsleiste",
				locationShow_desc = "zeigt / versteckt die positionsleiste",
			locationText = "positionsleisten text",
				locationText_desc = "zeigt zonen positionstext wenn die leiste versteckt ist",
	lock = "sperre minimap",
		lock_desc = "sperrt die minimap gegen verschieben und versteckt die questfenster",
	map = "kartentaste",
		map_desc = "kartenfenstertaste",
	mail = "postsymbol",
		mail_desc = "entfernt das postsymbol",
	meet = "lfg / lfm symbol",
		meet_desc = "suche nach gruppe / und mehr anzeigen",
	modules = "module",
	reset = "resette profil",
		reset_desc = "resettet das gegenwärige profil auf seine grundeinstellung",
	scale = "skalierung",
		scale_desc = "stellt die minimap skalierung ein",
	show = "zeige / verstecke",
		show_desc = "zeigt oder versteckt die minimap / UI elemente",
	strata = "höhenebene",
		strata_desc = "ändert die höhenebene des fensters im gegensatz zu anderen fenstern (verhindert das 2 fenster die gleiche höhenebene haben und somit ineinander verlaufen)",
	time = "zeitanzeige",
		time_desc = "tag / nachtsymbol",
	track = "suchersymbol",
		track_desc = "jäger / sammler (erze/kräuter) symbol",
	zoom = "zoom rein / raus",
		zoom_desc = "zoon rein / raus tasten",
	reset_popup = "das simpleMinimap profil auf seine grundeinstellung resetten?"
}) end)
if(GetLocale() == "deDE") then
	BINDING_NAME_smmTOGGLE = "Aktiviert Minimap"
end